/*
package dk.nsp.idsas.integrations.sores;

import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.impl.conn.PoolingHttpClientConnectionManager;
import org.junit.Before;
import org.junit.Test;

import java.time.Duration;

public class SoresManualDevTest {
    private final String endpoint = "http://test1-cnsp.ekstern-test.nspop.dk:8080/sores/";
    private SoresClient soresClient;

    @Before
    public void setUp() {
        PoolingHttpClientConnectionManager cm = new PoolingHttpClientConnectionManager();
        CloseableHttpClient httpClient = HttpClients.custom().setConnectionManager(cm).build();
        ServiceErrorCallback serviceErrorCallback = new ServiceErrorCallback(Duration.ofMinutes(10));
        soresClient = new SoresClient(httpClient, endpoint, serviceErrorCallback);
    }

    @Test
    public void callTest1() throws SoresClientException {
        String SOR = "8041000016000";
        boolean exists = soresClient.checkSorExists(SOR);
        System.out.printf("SOR %s exists: %s%n", SOR, exists ? "yes" : "no");

        SOR = "123";
        exists = soresClient.checkSorExists(SOR);
        System.out.printf("SOR %s exists: %s%n", SOR, exists ? "yes" : "no");
    }
}
*/